[Numpy-discussion] Installation info

David Cournapeau david@ar.media.kyoto-u.ac...
Mon Jun 2 03:51:59 CDT 2008


Hanni Ali wrote:
>  
> I had managed to compile and install 1.04 with vs 2005 64 bit with a 
> bit of hacking,

I can't build official binaries with VS: I don't have VS. Also, there is 
the problem of building the fortran dependencies (BLAS/LAPACK). I don't 
know if it is even possible to build ATLAS on windows x64. Even assuming 
we only use netlib BLAS/LAPACK, I still need a fortran compiler (gfortran).

> however it had failed one of the regression tests. I will try 
> numpy-1.1.0, has anyone used vs 2008 to compile it for 64 bit windows?

You need to use the same VS as python: this means VS 2003 for official 
python 2.5 (you can build python yourself with VS 2005 or 2008, though, 
but for distribution, this is not useful).

cheers,

David


More information about the Numpy-discussion mailing list